Bug 852950 - RFC2783 says that <sys/timepps.h> is the right place for timepps.h
RFC2783 says that <sys/timepps.h> is the right place for timepps.h
Product: Fedora
Classification: Fedora
Component: pps-tools (Show other bugs)
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-30 00:54 EDT by Michael Tatarinov
Modified: 2013-04-02 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-02 12:43:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Tatarinov 2012-08-30 00:54:03 EDT

Don't install timepps.h in /usr/include/, right place is /usr/include/sys/

$ rpm -ql pps-tools-devel
$ ls -l /usr/include/sys/timepps.h /usr/include/timepps.h
lrwxrwxrwx. 1 root root   12 Mar 15 09:18 /usr/include/sys/timepps.h -> ../timepps.h
-rw-r--r--. 1 root root 6064 Jun  4 13:10 /usr/include/timepps.h
Comment 1 Fedora End Of Life 2013-01-16 10:56:42 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Miroslav Lichvar 2013-04-02 12:43:04 EDT
This should be fixed 0-0.7.20120407git0deb9c. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.